<script lang="ts">
interface Card {
  icon: string;
  header: string;
  description: string;
  text: string;
  button: any;
}

export default {
  name: 'AiFreeTrial',
  props: {
    title: {
      type: String,
      required: true,
    },
    card: {
      type: Array as () => Card[],
      required: true,
    },
  },
};
</script>

<template>
  <div class="slp-mt-96">
    <SlpTypography
      class="slp-pb-48 slp-mt-96"
      tag="h2"
      variant="heading2-bold"
      :data-aos="'fade-up'"
      :data-aos-duration="1600"
      :data-aos-offset="200"
      >{{ title }}</SlpTypography
    >
    <SlpRow
      class="card-container"
      :data-aos="'fade-up'"
      :data-aos-duration="1200"
      :data-aos-offset="400"
      ><SlpColumn v-for="(item, index) in card" :key="index"
        ><a
          class="card"
          :href="item.button.href"
          :data-ga-name="item.button.dataGaName"
          :data-ga-location="item.button.dataGaLocation"
        >
          <SlpIcon
            :name="item.icon"
            color="white"
            variant="marketing"
            size="md"
          />
          <SlpTypography
            class="slp-pt-8 slp-pb-8"
            variant="body1-bold"
            tag="h4"
            format="webp"
            quality="99"
          >
            {{ item.header }}
          </SlpTypography>
          <SlpTypography class="slp-pb-8 description" tag="p" variant="body2">
            {{ item.text }}
          </SlpTypography>
          <span class="button">
            {{ item.button.text }}
            <SlpIcon
              class="learn-more-icon"
              name="chevron-lg-right"
              variant="product"
          /></span>
        </a>
      </SlpColumn>
    </SlpRow>
  </div>
</template>

<style lang="scss" scoped>
* {
  color: white;
}

.card-container {
  display: flex;
  background: linear-gradient(
    95.59deg,
    rgba(225, 152, 109, 0.1) -2.37%,
    rgba(110, 67, 211, 0.1) 102.1%
  );
  gap: 32px;
  padding: 32px;
  border: 1px solid #45424d;
  border-radius: 8px;
}

.card {
  display: block;
  padding: 24px;
  background: #171321;
  border-radius: 8px;
  transition: all 0.3s ease-in-out;

  &:hover {
    border-radius: 8px 8px 80px 8px;

    .button .slp-icon {
      margin-left: 8px;
    }
  }
  .description {
    color: $color-surface-400;
  }

  .button {
    color: white;
    font-size: 18px;
    line-height: 20px;
    font-weight: $font-weight-bold;
    display: inline-flex;
    align-items: center;
    padding: 11px 0;

    .slp-icon {
      margin-left: 4px;
      transition: all 0.2s ease-in-out;
    }
  }
}
</style>
